%global rhel_name libev
%global rhel_release 5
%global debug_package %{nil}

%global source_dir  %{_datadir}/%{rhel_name}-source
%global inst_srcdir %{buildroot}/%{source_dir}

Name:             libev-epel
Version:          4.33
Release:    1%{?dist}
Summary:          High-performance event loop/event model with lots of features

License:          BSD or GPLv2+
URL:              http://software.schmorp.de/pkg/libev.html
Source0:          http://dist.schmorp.de/libev/Attic/%{rhel_name}-%{version}.tar.gz

BuildRequires:    %{rhel_name} < %{version}-%(expr %{rhel_release} + 1)
BuildRequires:    %{rhel_name} >= %{version}-%{rhel_release}

BuildRequires:    autoconf
BuildRequires:    automake
BuildRequires:    coreutils
BuildRequires:    findutils
BuildRequires:    gcc
BuildRequires:    libtool
BuildRequires:    make
BuildRequires:    tar

Provides:         bundled(libecb) = 1.05

%description
Libev is modeled (very loosely) after libevent and the Event Perl
module, but is faster, scales better and is more correct, and also more
featureful. And also smaller.

%package -n %{rhel_name}-devel
Summary:          Development headers for libev
Requires:         (%{rhel_name} = %{version} with %{rhel_name} >= %{version}-%{rhel_release})


%description -n %{rhel_name}-devel
This package contains the development headers and libraries for libev.

%package -n %{rhel_name}-libevent-devel
Summary:          Compatibility development header with libevent for %{rhel_name}.
Requires:         %{rhel_name}-devel = %{version}-%{release}

Conflicts:        libevent-devel

%description -n %{rhel_name}-libevent-devel
This package contains a development header to make libev compatible with
libevent.

%package -n %{rhel_name}-source
Summary:          High-performance event loop/event model with lots of features
BuildArch:        noarch
Provides:         bundled(libecb) = 1.05

%description -n %{rhel_name}-source
This package contains the source code for libev.

%prep
%autosetup -p0 -n %{rhel_name}-%{version}
autoreconf -vfi

%build
%configure --disable-static --with-pic
%make_build

%check
make check

%install
%make_install
rm -vf %{buildroot}%{_libdir}/%{rhel_name}.la
rm -vf %{buildroot}%{_libdir}/%{rhel_name}.so.4*

mkdir -p %{inst_srcdir}
find . -type f | grep -E '.*\.(c|h|am|ac|inc|m4|h.in|man.pre|pl|txt)$' | xargs tar cf - | (cd %{inst_srcdir} && tar xf -)
install -p -m 0644 Changes ev.pod LICENSE README %{inst_srcdir}


%files -n %{rhel_name}-devel
%{_includedir}/ev++.h
%{_includedir}/ev.h
%{_libdir}/%{rhel_name}.so
%{_mandir}/man?/*

%files -n %{rhel_name}-libevent-devel
%{_includedir}/event.h

%files -n %{rhel_name}-source
%{source_dir}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.33-1
- initial build
